package com.ElyStudio.leGaou.activities;

import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;

import com.ElyStudio.leGaou.databinding.ActivitySupportScreenBinding;
import com.ElyStudio.leGaou.utilities.AppCompat;
import com.ElyStudio.leGaou.utilities.Constants;

public class SupportScreen extends AppCompat {

    ActivitySupportScreenBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        binding = ActivitySupportScreenBinding.inflate(getLayoutInflater());
        setContentView(binding.getRoot());

        binding.sendSupportMailBtn.setOnClickListener(v -> {
                Intent intent = new Intent(Intent.ACTION_SENDTO);
                intent.setData(Uri.parse("mailto:"+Constants.SUPPORT_EMAIl_ADDRESS));
                startActivity(intent);
        });
    }

}